import { reactive } from 'vue'
import request from '@/utils/request'

export default () => {
  const permissions = reactive({})

  const getPermission = (x) => {
    return request({
      url: '/comm/rights',
      data: { name: x },
    }).then((res) => {
      permissions[x] = Boolean(res)
      return permissions[x]
    })
  }

  return { permissions, getPermission }
}
